#include <Wire.h>
#include "I2Cdev.h"
#include "L3G4200D.h"

L3G4200D gyro;

int16_t avx, avy, avz;

#define LED_PIN 13 
bool blinkState = false;

void setup() {
    Wire.begin();
    
    Serial.begin(9600);

    Serial.println("Initializing I2C devices...");
    gyro.initialize();

    Serial.println("Testing device connections...");
    Serial.println(gyro.testConnection() ? "L3G4200D connection successful" : "L3G4200D connection failed");

    pinMode(LED_PIN, OUTPUT);

    gyro.setFullScale(2000);
}

void loop() {
    gyro.getAngularVelocity(&avx, &avy, &avz);

    Serial.print("angular velocity:\t");
    Serial.print(avx); Serial.print("\t");
    Serial.print(avy); Serial.print("\t");
    Serial.println(avz);

    blinkState = !blinkState;
    digitalWrite(LED_PIN, blinkState);

    delay(1000);
}


